#include "paras.h"
#include "circuit.h"



int main(int argc, char* argv[]) {

    // 初始化命令行参数
    INIT_ARGS

    srand(19260817);

    Circuit* circuit = new Circuit();

    printf("parsing file %s ...", OPT(instance).c_str());
    circuit->parse_from_file(OPT(instance).c_str());
    printf(" Done.\n");

    printf("====== Circuit Statistics ====== \n");
    printf("PI:\t%ld\n", circuit->PIs.size());
    printf("PO:\t%ld\n", circuit->POs.size());
    printf("Gate:\t%ld\n", circuit->name2gate.size());
    printf("================================ \n");

    LUTCircuit* C = circuit->build_lut_circuit();

    return 0;
}